@font-face {
  font-family: Gretta;
  src: url("fonts/Gretta.otf") format("opentype");
}

body {
  font-family: "Barlow", sans-serif;
  margin:0px;
  padding: 30px;
  /*text-align: center;*/
}

h1 {
  font-size: 25px;
  font-weight:bolder;
}

h2 {
  font-size: 22px;
  font-weight:normal;
  font-style: normal;
}

.pi {
  /* z-index: 99;*/
    position:absolute;
    bottom: 12px;
    right: 12px;
    height: 100px;
    width: 10px;
}

.bottom-text {
  width: 830px;
}

.vimeo-container {
  width: 830px;
}

/* menu style */

body input#burger {
  opacity: 0;
}

body input + label {
  position: fixed;
  top: 44px;
  right: 27px;
  height: 25px;
  width: 25px;
  z-index: 5;
}
body input + label span {
  position: absolute;
  width: 100%;
  height: 3px;
  top: 50%;
  margin-top: -5px;
  left: 0;
  display: block;
  background: #020304;
  transition: 0.5s;
}
body input + label span:first-child {
  top: 3px;
}
body input + label span:last-child {
  top: 22px;
}
body label:hover {
  cursor: pointer;
}
body input:checked + label span {
  opacity: 0;
  top: 50%;
}
body input:checked + label span:first-child {
  opacity: 1;
  transform: rotate(405deg);
}
body input:checked + label span:last-child {
  opacity: 1;
  transform: rotate(-405deg);
}
body input ~ nav {
  background: transparent;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100px;
  z-index: 3;
  transition: 0.5s;
  transition-delay: 0.5s;
  overflow: hidden;
}
body input ~ nav > ul {
  text-align: left;
  position: absolute;
  list-style-type: none;
  top: 80px;
  left: 0;
  padding-left: 24px;
}
body input ~ nav > ul > li {
  opacity: 0;
  transition: 0.5s;
  transition-delay: 0s;
  padding: 0px 0px 0px 0px;
}
body input ~ nav > ul > li > a {
  display: block;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 70px;
  font-weight: 0;
  color: rgb(0, 0, 0);
  position: relative;
  letter-spacing: 0.05em;
  width: fit-content;
  width: -moz-fit-content;
  /*left: 28px;
  /*padding: 30px;
  color: #020304;
  font-weight: 700;
  font-family: sans-serif;  
  */
}
body input ~ nav > ul > li > a:hover {
  color: rgb(255, 0, 0);
  transition: color 0.3s ease 0s, left 0.3s ease 0s;
}

body input ~ nav > ul > li > a:after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 3px;
  bottom: 0;
  left: 0;
  background-color: rgb(255, 0, 0);;
  transform-origin: bottom left;
  transition: transform 0.25s ease-out;
}

body input ~ nav > ul > li > a:hover:after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

body input:checked ~ nav {
  background: rgb(255,255,255);
  background: linear-gradient(180deg, rgba(255,255,255,1) 20%, rgba(255,255,255,0.6) 100%);
  height: 100%;
  transition-delay: 0s;
}
body input:checked ~ nav > ul > li {
  opacity: 1;
  transition-delay: 0.5s;
}

/* Logo text effect */
.logo-content p {
  font-family: "Gretta";
  color: black;
	font-size: 3.4em;
  margin: 0px;
  padding: 0px;
  position: fixed;
  top: 20px;
  left: 27px;
  z-index: 6;
	/*transform: translate(-50%, -50%);*/
}

.fullscreen {
  overflow: hidden;
}

.main {
  margin-top: 125px;
  position: relative;
  height: 100%;
  width: 100%;
}

.gallery {
  display: flex;
  flex-flow: row wrap;
  flex-wrap: wrap;
  align-items:flex-start;
  /*justify-content: space-between*/
  /*padding: 50px 0;*/
  /*max-width: 100%;*/
  margin-top: 0px;
  margin-left:auto;
  /*box-sizing: border-box;*/
}

.gallery-module {
  position: relative;
}

.gallery-module img{
  position: relative;
  height: 100%;
  width: 100%;
  overflow: hidden;
  object-fit: contain;
  /*margin-top: 125px;*/
  /*border: 0px solid black;*/
  /*padding-top: 10px;*/
  /*flex-basis: 40%;*/
}


.img-text-wrapper {
  position: absolute;
  top: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  text-align: center;
  /*padding-left: 25px;
  padding-right: 25px;*/
  transition: all 0.3s ease;
  /*transition: 0.5s;*/
  opacity: 0;
  /*color: transparent;*/
  font-size: 1.2em;
  font-weight: 600;
  padding-top: 20px;
  color: black;
}

.img-text-wrapper .subtitle {
  color: rgb(100, 100, 100);
}   

@media only screen and (min-width: 878px){

  .gallery-module-filter:hover img {
    transition: 0.3s ease;
    filter: opacity(0.3)
  }

  .img-text-wrapper:hover {
    opacity: 100;
    padding-top: 0px;
  }

  .main .gallery .gallery-module {
  /*    flex-basis: 33.333333%;*/
    width: 42%;
    /*margin-top: 125px;*/
    margin-left: 5%;
    margin-top: 0%;
    /*border: 10px solid rgb(255, 0, 0);*/
  }

  .main .gallery .gallery-module:nth-child(2n) {
    width: 23%;
    margin-left: 3%;
    margin-top: 3%;
    /*border: 10px solid rgb(255, 0, 0);*/
  }

  .main .gallery .gallery-module:nth-child(3n) {
    width: 42%;
    margin-left: 8%;
    margin-top: 3%;
    /*border: 10px solid rgb(0, 255, 200);*/
  }

  .main .gallery .gallery-module:nth-child(5n) {
    width: 23%;
    margin-left: 15%;
    margin-top: 3%;
    /*border: 10px solid rgb(204, 0, 255);*/
  }

  .main .gallery .gallery-module:nth-child(7n) {
    width: 25%;
    margin-left: 10%;
    margin-top: 2%;
    /*border: 10px solid rgb(141, 127, 0);*/
  }

  .main .gallery .gallery-module:nth-child(11n) {
    width: 31%;
    margin-left: 13%;
    margin-top: 4%
    /*border: 10px solid rgb(61, 182, 4);*/
  }

  .main .gallery .gallery-module:nth-child(13n) {
    width: 29%;
    margin-left: 8%;
    margin-top: 6%;
    /*border: 10px solid rgb(22, 96, 114);*/
  }

  .main .gallery .gallery-module:nth-child(17n) {  
    width: 26%;
    margin-left: 11%;
    margin-top: 8%;
    /*border: 10px solid rgb(255, 0, 0);*/
  }

  /*xxxx  altri algoritmi??*/
}

@media only screen and (max-width: 877px) {

  /* Logo text effect */
.logo-content p {
  font-family: "Gretta";
  color: black;
	font-size: 3em;
  margin: 0px;
  padding: 0px;
  position: fixed;
  top: 8px;
  left: 13px;
  z-index: 6;
	/*transform: translate(-50%, -50%);*/
}

  body input + label {
    position: fixed;
    top: 25px;
    right: 15px;
    height: 25px;
    width: 25px;
    z-index: 5;
    margin-top: 4px;
  }

  body {
    padding: 15px;
  }

  h1 {
    font-size: 20px;
    font-weight:bolder;
  }
  
  h2 {
    font-size: 18px;
    font-weight:normal;
  }

  .main {
    margin-top: 33px;
  }

  .bottom-text {
    width: 100%;
  }

  .vimeo-container {
    width: 100%;
  }

  .gallery{
    display: flex;
    /*width: calc(100% - 30px);*/
    /*padding: 70px 0;*/
    /*grid-row-gap: 0%;*/
    /*margin-left: 15px;*/
    
    /*padding-top: 70px;
    padding-right: 15px;
    padding-bottom: 15px;
    padding-left: 15px;*/
  }

.gallery-module {
    display: block;
    width: 100%;
    height: 100%;
    margin: 5px 0;
  }

  .gallerylink {
    pointer-events: none;
  }

  .gallery-module img {
    display: block;
  }

  .img-text-wrapper {
    justify-content: end;
    padding-top: 0px;
    opacity: 1;
    font-size: 0.95em;
    margin-top: 7px;
    /*align-items: flex-start;*/
    color: black;
    /*background: linear-gradient(0deg, rgb(255, 255, 255) 25px, rgba(255,255,255,0) 7px);*/
  }

  .img-text-wrapper .subtitle {
    margin-bottom: 10px;
    opacity: 0;
    font-size: 0em;
  }

  body input ~ nav > ul {
    padding-left: 15px;
  }
  body input ~ nav > ul > li {
    padding: 0;
  }
  body input ~ nav > ul > li > a {
    font-size: 40px;
    left: 0;
  }

  body input ~ nav > ul > li > a:after {
    height: 2px;
  }

}